Bug 1004357 - root not available on ARM due to cint
Summary: root not available on ARM due to cint
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: root
Version: 23
Hardware: arm
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL: https://sft.its.cern.ch/jira/browse/R...
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ARM 994894 1004354
TreeView+ depends on / blocked
 
Reported: 2013-09-04 13:19 UTC by Petr Pisar
Modified: 2016-04-28 20:41 UTC (History)
2 users (show)

Fixed In Version: root-6.06.02-1.fc24 root-6.06.02-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-15 21:35:09 UTC


Attachments (Terms of Use)

Description Petr Pisar 2013-09-04 13:19:19 UTC
Package root has been disabled on ARM because of broken cint:

commit e2dd5b281835b2cbef4bea80061c84e5d67cc388
Author: Mattias Ellert <mattias.ellert@fysast.uu.se>
Date:   Thu Aug 8 07:58:04 2013 +0200

    Exclude armv7hl - cint is not working

The cint interpreter is not fully ported to arm
https://sft.its.cern.ch/jira/browse/ROOT-5398
https://sft.its.cern.ch/jira/browse/ROOT-5399

Effective since root-5.34.09-5.fc20.

Comment 1 Mattias Ellert 2013-09-16 13:44:14 UTC
It is not likely that cint will be fixed for arm.

Root version 6 is planning to switch the interpreter from cint to cling, which looks like it will be more portable (cint does not work on ppc64 either).

I don't see any way to fix this until root version 6 is released.

Comment 2 Fedora End Of Life 2015-05-29 09:21:54 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Jan Kurik 2015-07-15 14:45:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 4 Fedora Update System 2016-04-11 12:57:48 UTC
pythia8-8.2.15-1.el7 root-6.06.02-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fb4c8595e1

Comment 5 Fedora Update System 2016-04-11 12:58:13 UTC
pythia8-8.2.15-1.fc24 root-6.06.02-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ad70b05a7e

Comment 6 Fedora Update System 2016-04-12 10:53:44 UTC
pythia8-8.2.15-1.fc24, root-6.06.02-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ad70b05a7e

Comment 7 Fedora Update System 2016-04-13 13:52:18 UTC
pythia8-8.2.15-1.el7, root-6.06.02-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fb4c8595e1

Comment 8 Fedora Update System 2016-04-15 21:34:56 UTC
pythia8-8.2.15-1.fc24, root-6.06.02-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-04-28 20:40:52 UTC
pythia8-8.2.15-1.el7, root-6.06.02-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.